Duplicate a Social Selling draft
curl --request POST \
--url https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identityId": 123
}
'import requests
url = "https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate"
payload = { "identityId": 123 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identityId: 123})
};
fetch('https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identityId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate"
payload := strings.NewReader("{\n \"identityId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identityId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identityId\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"draftId": 123,
"version": 123,
"status": "DRAFT",
"identity": {
"id": 123,
"name": "<string>"
},
"title": "<string>",
"text": "<string>",
"mentions": [
{
"start": 1,
"length": 2,
"kind": "PROFILE",
"urn": "urn:li:fsd_company:98422414",
"label": "<string>"
}
],
"attachments": [
{
"assetId": "<string>",
"position": 123,
"origin": "POST",
"type": "IMAGE",
"mimeType": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"durationMs": 123,
"pageCount": 123,
"title": "<string>",
"description": "<string>",
"altText": "<string>",
"altTextSource": "AUTHOR",
"linkUrl": "<string>",
"pollOptions": [
"<string>"
],
"transcript": {
"status": "NOT_COLLECTED"
},
"access": {
"status": "AVAILABLE",
"downloadUrl": "<string>",
"previewUrl": "<string>",
"expiresAt": "<string>",
"durable": true,
"refreshable": true,
"verifiedAt": "<string>",
"reason": "<string>"
},
"source": {
"trackedPostId": 123,
"position": 123,
"credit": "<string>"
}
}
],
"firstComment": "<string>",
"visibility": "ANYONE",
"postAsCompany": true,
"companyUrn": "<string>",
"lineage": {
"sourcePostId": 123,
"sourceDraftId": 123,
"sourceAttribution": "<string>"
},
"planning": {
"series": "<string>",
"pillar": "<string>",
"objective": "<string>",
"audience": "<string>",
"factualSources": [
"<string>"
],
"notes": "<string>"
},
"schedule": {
"publishingPostId": 123,
"scheduledVersion": 123,
"scheduledAt": "<string>",
"timezone": "<string>"
},
"createdById": 123,
"updatedById": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Social Selling
Duplicate a Social Selling draft
Copies a draft into a new DRAFT (version 1) for the same or another identity the caller may use, keeping the content, media assets, planning fields and lineage (sourceDraftId). Never schedules or publishes anything.
Required scope:
SOCIAL_SELLING_WRITERate limit: 30 requests per minute
POST
/
v1
/
social-selling
/
drafts
/
{draftId}
/
duplicate
Duplicate a Social Selling draft
curl --request POST \
--url https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identityId": 123
}
'import requests
url = "https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate"
payload = { "identityId": 123 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identityId: 123})
};
fetch('https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identityId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate"
payload := strings.NewReader("{\n \"identityId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"identityId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/social-selling/drafts/{draftId}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identityId\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"draftId": 123,
"version": 123,
"status": "DRAFT",
"identity": {
"id": 123,
"name": "<string>"
},
"title": "<string>",
"text": "<string>",
"mentions": [
{
"start": 1,
"length": 2,
"kind": "PROFILE",
"urn": "urn:li:fsd_company:98422414",
"label": "<string>"
}
],
"attachments": [
{
"assetId": "<string>",
"position": 123,
"origin": "POST",
"type": "IMAGE",
"mimeType": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"durationMs": 123,
"pageCount": 123,
"title": "<string>",
"description": "<string>",
"altText": "<string>",
"altTextSource": "AUTHOR",
"linkUrl": "<string>",
"pollOptions": [
"<string>"
],
"transcript": {
"status": "NOT_COLLECTED"
},
"access": {
"status": "AVAILABLE",
"downloadUrl": "<string>",
"previewUrl": "<string>",
"expiresAt": "<string>",
"durable": true,
"refreshable": true,
"verifiedAt": "<string>",
"reason": "<string>"
},
"source": {
"trackedPostId": 123,
"position": 123,
"credit": "<string>"
}
}
],
"firstComment": "<string>",
"visibility": "ANYONE",
"postAsCompany": true,
"companyUrn": "<string>",
"lineage": {
"sourcePostId": 123,
"sourceDraftId": 123,
"sourceAttribution": "<string>"
},
"planning": {
"series": "<string>",
"pillar": "<string>",
"objective": "<string>",
"audience": "<string>",
"factualSources": [
"<string>"
],
"notes": "<string>"
},
"schedule": {
"publishingPostId": 123,
"scheduledVersion": 123,
"scheduledAt": "<string>",
"timezone": "<string>"
},
"createdById": 123,
"updatedById": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Authorizations
Path Parameters
Draft id (draftId).
Body
application/json
Identity of the copy (default: the same). A copy for another identity starts as a personal post.